## iCalProp

Description

A Class for representing properties within an iCalendar

Located in /iCalendar.php (line 57)

Method Summary
iCalProp iCalProp ([string $propstring = null])
string GetParameterValue (string $name)
string Name ([string $newname = null])
array Parameters ([array $newparams = null])
void ParseFrom (string $propstring)
void Render ()
void RenderParameters ()
void SetParameterValue (string $name, string $value)
string TextMatch (string $search)
string Value ([string $newvalue = null])
Methods
Constructor iCalProp (line 100)

The constructor parses the incoming string, which is formatted as per RFC2445 as a propname[;param1=pval1[; ... ]]:propvalue however we allow ourselves to assume that the RFC2445 content unescaping has already happened when iCalComponent::ParseFrom() called iCalComponent::UnwrapComponent().

iCalProp iCalProp ([string $propstring = null])

- string $propstring: The string from the iCalendar which contains this property.

GetParameterValue (line 215)

Get the value of a parameter

- return: The value of the parameter

string GetParameterValue (string $name)

- string $name: The name of the parameter to retrieve the value for

Name (line 151)

Get/Set name property

- return: The name for the property.

string Name ([string $newname = null])

- string $newname: [optional] A new name for the property

Parameters (line 184)

Get/Set parameters in their entirety

- return: The current array of parameters for the property.

array Parameters ([array $newparams = null])

- array $newparams: An array of new parameter key/value pairs

ParseFrom (line 119)

The constructor parses the incoming string, which is formatted as per RFC2445 as a propname[;param1=pval1[; ... ]]:propvalue however we allow ourselves to assume that the RFC2445 content unescaping has already happened when iCalComponent::ParseFrom() called iCalComponent::UnwrapComponent().

void ParseFrom (string $propstring)

- string $propstring: The string from the iCalendar which contains this property.

Render (line 248)

Render a suitably escaped RFC2445 content string.

void Render ()
RenderParameters (line 235)

Render the set of parameters as key1=value1[;key2=value2[; ...]] with any colons or semicolons escaped.

void RenderParameters ()
SetParameterValue (line 226)

Set the value of a parameter

void SetParameterValue (string $name, string $value)

- string $name: The name of the parameter to set the value for
- string $value: The value of the parameter

TextMatch (line 200)

Test if our value contains a string

- return: The name for the property.

string TextMatch (string $search)

- string $search: The needle which we shall search the haystack for.

Value (line 168)

Get/Set the content of the property

- return: The value of the property.

string Value ([string $newvalue = null])

- string $newvalue: [optional] A new value for the property

Documentation generated on Wed, 04 Jul 2012 07:06:14 +0000 by phpDocumentor 1.4.3